@charset "utf-8";

/**************************************
 * mv
**************************************/
#mv {
  position: relative;
  padding: 44px 0 60px;
  background: center/cover url(../img/report/title-bg.webp);
}
#mv::before,
#mv::after {
  content: '';
  position: absolute;
  z-index: 1;
  display: block;
  width: 0;
  height: 0;
}
#mv::before {
  top: 0;
  left: 0;
  border-bottom: 90px solid transparent;
  border-left: 105px solid var(--color-default-black);
}
#mv::after {
  bottom: 0;
  right: 0;
  border-top: 90px solid transparent;
  border-right: 105px solid var(--color-default-black);
}

.mv-logo {
  margin: 0 auto;
  width: 38px;
}

.mv-ttlgroup {
  margin-top: 14px;
  text-align: center;
  color: var(--color-default-white);
}

.mv-ttl {
  font-size: calc(40 / var(--root-font-size) * 1rem);
  font-weight: 700;
}

.mv-subttl {
  font-size: calc(20 / var(--root-font-size) * 1rem);
  font-weight: 500;
}

@media screen and (min-width: 769px) {
  #mv {
    padding: 107px 0 160px;
    background-image: url(../img/report/title-bg__l.webp);
  }
  #mv::before {
    border-bottom-width: 180px;
    border-left-width: 210px;
  }
  #mv::after {
    border-top-width: 180px;
    border-right-width: 210px;
  }

  .mv-logo {
    width: 61px;
  }

  .mv-ttlgroup {
    margin-top: 32px;
  }

  .mv-ttl {
    font-size: calc(60 / var(--root-font-size) * 1rem);
  }

  .mv-subttl {
    font-size: calc(24 / var(--root-font-size) * 1rem);
  }
}

/**************************************
 * section parts
**************************************/
.sec {
  padding: 50px 17px 0;
}

.sec-ttlgroup {
  display: flex;
  align-items: center;
  gap: 8px;
  padding-left: 2px;
  font-weight: 700;
  color: var(--color-fighters-blue);
}

.sec-icon {
  width: auto;
  height: 25px;
}

.sec-ttl {
  font-size: calc(16 / var(--root-font-size) * 1rem);
}

@media screen and (min-width: 769px) {
  .sec {
    padding-top: 50px;
  }

  .sec-inner {
    margin: 0 auto;
    max-width: 980px;
  }

  .sec-ttlgroup {
    gap: 16px;
    padding-left: 0;
  }

  .sec-icon {
    height: 30px;
  }

  .sec-ttl {
    font-size: calc(20 / var(--root-font-size) * 1rem);
  }
}

/**************************************
 * report
**************************************/
#report {
  padding-top: 28px;
}

.report-header {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  gap: 8px 16px;
  padding-bottom: 8px;
  border-bottom: 1px solid var(--color-gray);
}

.report-date {
  font-size: calc(14 / var(--root-font-size) * 1rem);
  font-weight: 700;
  color: var(--color-fighters-blue);
}
.report-date > span {
  font-size: 0.85em;
}

.report-state {
  margin-top: 6px;
  font-size: calc(16 / var(--root-font-size) * 1rem);
  font-weight: 700;
}

.report-practicemenu {
  align-self: flex-end;
  display: block;
}

.report-content {
  margin-top: 12px;
}

.report-text {
  font-size: calc(16 / var(--root-font-size) * 1rem);
  font-weight: 500;
}

@media screen and (min-width: 769px) {
  #report {
    padding-top: 80px;
  }

  .report-header {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 8px 16px;
    padding-bottom: 18px;
    border-bottom-width: 2px;
  }

  .report-date {
    font-size: calc(18 / var(--root-font-size) * 1rem);
  }

  .report-state {
    font-size: calc(20 / var(--root-font-size) * 1rem);
  }

  .report-content {
    margin-top: 30px;
  }
}

#pictureSlider {
  margin: 16px auto 0;
  max-width: 480px;
}

#pictureSlider .splide__slide > img {
  border-radius: 10px;
}

#pictureSlider .splide__arrow {
  width: 32px;
  height: 32px;
  background-color: transparent;
  opacity: 1;
}

#pictureSlider .splide__arrow::before {
  content: '';
  position: absolute;
  top: 50%;
  translate: -50% -50%;
  width: 12px;
  height: 12px;
  border-top: 3px solid #fafafa;
  border-left: 3px solid #fafafa;
  filter: drop-shadow(1px 1px 2px rgb(0 0 0 / 60%));
}

#pictureSlider .splide__arrow--prev {
  left: 4px;
}
#pictureSlider .splide__arrow--prev::before {
  left: 60%;
  rotate: -45deg;
}

#pictureSlider .splide__arrow--next {
  right: 4px;
}
#pictureSlider .splide__arrow--next::before {
  left: 40%;
  rotate: 135deg;
}

@media screen and (min-width: 769px) {
  #pictureSlider {
    margin-top: 24px;
    max-width: 560px;
  }

  #pictureSlider .splide__slide > img {
    border-radius: 20px;
  }

  #pictureSlider .splide__arrow {
    width: 40px;
    height: 40px;
  }

  #pictureSlider .splide__arrow::before {
    width: 24px;
    height: 24px;
    border-top-width: 4px;
    border-left-width: 4px;
    filter: drop-shadow(1px 1px 3px rgb(0 0 0 / 40%));
  }

  #pictureSlider .splide__arrow--prev {
    left: 16px;
  }

  #pictureSlider .splide__arrow--next {
    right: 16px;
  }
}

#pictureThumbnails {
  margin: 16px auto 0;
  width: calc(16vw * 5 + 10px * 4);
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
}

#pictureThumbnails > li {
  width: 16vw;
  height: auto;
  aspect-ratio: 60 / 44;
  opacity: 0.4;
}
#pictureThumbnails > li.is-active {
  opacity: 1;
}

#pictureThumbnails > li img {
  height: 100%;
  object-fit: cover;
  border-radius: 5px;
}
#pictureThumbnails > li.is-active img {
  border: 2px solid var(--color-fighters-blue);
}

@media screen and (min-width: 769px) {
  #pictureThumbnails {
    width: 560px;
    gap: 16px;
  }

  #pictureThumbnails > li {
    width: calc((100% - 16px * 4) / 5);
  }

  #pictureThumbnails > li img {
    border-radius: 10px;
  }
  #pictureThumbnails > li.is-active img {
    border-width: 4px;
  }
}

/**************************************
 * movie
**************************************/
.movie-youtube {
  margin: 16px auto 0;
  max-width: 480px;
}

.movie-youtube iframe {
  width: 100%;
  height: auto;
  aspect-ratio: 16 / 9;
}

@media screen and (min-width: 769px) {
  .movie-youtube {
    margin-top: 24px;
    max-width: 560px;
  }
}

/**************************************
 * other
**************************************/
.homebtn {
  margin: 40px auto 84px;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 245px;
  height: 60px;
  background-color: var(--color-fighters-blue);
  border-radius: calc(1px / 0);
  font-size: calc(16 / var(--root-font-size) * 1rem);
  font-weight: 700;
  color: var(--color-default-white);
}

@media screen and (min-width: 769px) {
  .homebtn {
    margin-top: 64px;
    margin-bottom: 160px;
    width: 320px;
    height: 80px;
    font-size: calc(18 / var(--root-font-size) * 1rem);
  }
}

/**************************************
 * table
**************************************/
.score-container {
  width: 100%;
  max-width: 900px;
  margin: 20px auto;
  padding: 0 0px;
  box-sizing: border-box;
}

.score-table {
  width: 100%;
  border-collapse: collapse;
  background-color: #fcfcfc;
  table-layout: fixed;
}

.score-table th,
.score-table td {
  border: 1px solid #ddd;
  text-align: center;
  padding: 12px 5px;
}

.col-team {
  width: 30%;
}

.team-info {
  text-align: center;
}

.team-name {
  display: inline-block;
  font-weight: bold;
}

.team-logo {
  width: 24px;
  height: 24px;
  object-fit: contain;
  flex-shrink: 0;
}

.score {
  vertical-align: middle;
  font-weight: 200;
  font-size: 1.2rem;
}

.score-table thead th {
  background-color: #f2f2f2;
  font-weight: bold;
}

@media screen and (max-width: 768px) {
  .score-table th,
  .score-table td {
    padding: 8px 2px;
    font-size: 0.85rem;
  }

  .col-team {
    width: 25%;
  }

  .team-info {
    gap: 4px;
    padding-left: 4px;
  }

  .team-logo {
    width: 18px;
    height: 18px;
  }

  .score {
    font-size: 1rem;
  }
}
